# ChangeLog for sys-kernel/xbox-sources
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/xbox-sources/ChangeLog,v 1.46 2007/01/02 02:16:50 dsd Exp $

  02 Jan 2007; Daniel Drake <dsd@gentoo.org> -xbox-sources-2.4.32-r1.ebuild:
  remove 2.4 version, this has been masked for a long time

  14 Oct 2006; Bryan Østergaard <kloeri@gentoo.org> metadata.xml:
  Remove gimli from metadata.xml due to retiring.

  18 Aug 2006; Christian Heim <phreak@gentoo.org> metadata.xml:
  Reassigning the package to kernel@g.o, the x86-kernel bugzilla-alias is
  burried/dead.

*xbox-sources-2.6.16.26 (19 Jul 2006)

  19 Jul 2006; Chris Bainbridge <chrb@gentoo.org>
  -xbox-sources-2.6.16.18.ebuild, +xbox-sources-2.6.16.26.ebuild:
  Version bump for #140444.

*xbox-sources-2.6.16.18 (28 May 2006)

  28 May 2006; <chrb@gentoo.org> -xbox-sources-2.6.16.16.ebuild,
  +xbox-sources-2.6.16.18.ebuild:
  Version bump.

*xbox-sources-2.6.16.16 (19 May 2006)

  19 May 2006; <chrb@gentoo.org>
  -files/xbox-sources-2.6.8.1.CAN-2004-1056.patch,
  -files/xbox-sources-2.6.10.74070.patch,
  -files/xbox-sources-2.6.10.75963.patch,
  -files/xbox-sources-2.6.10.77666.patch,
  -files/xbox-sources-2.6.10.77923.patch,
  -files/xbox-sources-2.6.10.81106.patch,
  -files/xbox-sources-2.6.10.82141.patch,
  -files/xbox-sources-2.6.10.brk-locked.patch,
  -files/xbox-sources-2.6.10.smbfs.patch, -files/xbox-sources.AF_UNIX.patch,
  -xbox-sources-2.4.31.ebuild, -xbox-sources-2.4.32.ebuild,
  -xbox-sources-2.6.10-r2.ebuild, -xbox-sources-2.6.11.7.ebuild,
  -xbox-sources-2.6.12.5.ebuild, -xbox-sources-2.6.14.3.ebuild,
  -xbox-sources-2.6.16.5.ebuild, +xbox-sources-2.6.16.16.ebuild:
  Security bump, thanks to Tim Yamin for prompting.

  27 Apr 2006; Alec Warner <antarus@gentoo.org>
  files/digest-xbox-sources-2.4.31, files/digest-xbox-sources-2.6.10-r2,
  files/digest-xbox-sources-2.6.11.7, files/digest-xbox-sources-2.6.12.5,
  files/digest-xbox-sources-2.6.14.3, Manifest:
  Fixing SHA256 digest, pass four

*xbox-sources-2.6.16.5 (15 Apr 2006)

  15 Apr 2006; <chrb@gentoo.org> +xbox-sources-2.6.16.5.ebuild:
  version bump

  02 Mar 2006; <gimli@gentoo.org> xbox-sources-2.4.32.ebuild,
  xbox-sources-2.4.32-r1.ebuild:
  Mark 2.4.32 stable

*xbox-sources-2.4.32-r1 (04 Jan 2006)

  04 Jan 2006; <gimli@gentoo.org> +xbox-sources-2.4.32-r1.ebuild:
  Added security fixes/backports from gentoo-sources 2.4.32-r2

*xbox-sources-2.4.32 (31 Dec 2005)

  31 Dec 2005; <gimli@gentoo.org> +xbox-sources-2.4.32.ebuild:
  Version bump; fix #113327, #114227, #113504, #113326

  12 Dec 2005; <gimli@gentoo.org> ChangeLog:
  Kernel 2.6.14.3, added me as Maintainer

  15 Sep 2005; <gimli@gentoo.org> ChangeLog:
  Remove old versions.

*xbox-sources-2.4.31 (01 Sep 2005)

  01 Sep 2005; Edgar Hucek <gimli@gentoo.org> 
  +xbox-sources-2.4.31.ebuild:
  Version bump.
  Corrected digest files to make repoman happy.

*xbox-sources-2.6.12.5 (20 Aug 2005)

  20 Aug 2005; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.6.12.5.ebuild:
  version bump

*xbox-sources-2.6.11.7 (17 Apr 2005)

  17 Apr 2005; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.6.11.7.ebuild:
  Latest kernel and xbox patches. Includes new FATX driver.

  13 Apr 2005; <plasmaroo@gentoo.org> xbox-sources-2.6.10-r2.ebuild,
  -files/xbox-sources-2.6.10.77094.patch,
  files/xbox-sources-2.6.10.77666.patch:
  Fix mm/mmap.c compile errors.

*xbox-sources-2.6.10-r2 (26 Mar 2005)

  26 Mar 2005; <plasmaroo@gentoo.org> -xbox-sources-2.4.28-r3.ebuild,
  +xbox-sources-2.4.28-r4.ebuild, -xbox-sources-2.6.10-r1.ebuild,
  +xbox-sources-2.6.10-r2.ebuild, +files/xbox-sources-2.4.28.77666.patch,
  +files/xbox-sources-2.4.28.78362.patch,
  +files/xbox-sources-2.4.28.78363.patch,
  +files/xbox-sources-2.6.10.74070.patch,
  +files/xbox-sources-2.6.10.77666.patch,
  +files/xbox-sources-2.6.10.77923.patch,
  +files/xbox-sources-2.6.10.81106.patch,
  +files/xbox-sources-2.6.10.82141.patch:
  Security bump - fix #74070, #77666, #77923, #78362, #78363, #81106, #82141.

*xbox-sources-2.4.29 (06 Feb 2005)

  06 Feb 2005; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.4.29.ebuild:
  Version bump. Submitted by Edgar Hucek.

*xbox-sources-2.4.28-r3 (09 Jan 2005)

  09 Jan 2005; <plasmaroo@gentoo.org> -xbox-sources-2.4.28-r2.ebuild,
  +xbox-sources-2.4.28-r3.ebuild, +xbox-sources-2.6.10-r1.ebuild,
  -xbox-sources-2.6.10.ebuild, -xbox-sources-2.6.8.1-r8.ebuild,
  +files/xbox-sources-2.4.28.77094.patch,
  +files/xbox-sources-2.4.28.brk-locked.patch,
  +files/xbox-sources-2.6.10.75963.patch,
  +files/xbox-sources-2.6.10.77094.patch,
  +files/xbox-sources-2.6.10.brk-locked.patch,
  +files/xbox-sources-2.6.10.smbfs.patch,
  -files/xbox-sources-2.6.7.cmdlineLeak.patch,
  -files/xbox-sources-2.6.8.1.AF_UNIX.SELinux.patch,
  -files/xbox-sources-2.6.8.1.AF_UNIX.patch,
  -files/xbox-sources-2.6.8.1.CAN-2004-1016.patch,
  -files/xbox-sources-2.6.8.1.CAN-2004-1137.patch,
  -files/xbox-sources-2.6.8.1.CAN-2004-1151.patch,
  -files/xbox-sources-2.6.8.1.binfmt_a.out.patch,
  -files/xbox-sources-2.6.8.1.binfmt_elf.patch,
  -files/xbox-sources-2.6.8.1.devPtmx.patch,
  -files/xbox-sources-2.6.8.1.smbfs.patch,
  -files/xbox-sources-2.6.8.1.vma.patch:
  Security bump; fixes bugs #75963, #77025 and #77094.

*xbox-sources-2.6.10 (02 Jan 2005)

  02 Jan 2005; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.6.10.ebuild:
  Version bump. lirc drivers are now in lirc package.

*xbox-sources-2.4.28-r2 (24 Dec 2004)

  24 Dec 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.28-r1.ebuild,
  +xbox-sources-2.4.28-r2.ebuild,
  +files/xbox-sources-2.4.28.CAN-2004-1016.patch,
  +files/xbox-sources-2.4.28.CAN-2004-1056.patch,
  +files/xbox-sources-2.4.28.CAN-2004-1137.patch,
  +files/xbox-sources-2.4.28.vma.patch:
  Security bump; bugs #72452, #74384, #74392, #74464.

*xbox-sources-2.6.8.1-r8 (20 Dec 2004)

  20 Dec 2004; <plasmaroo@gentoo.org> -xbox-sources-2.6.8.1-r7.ebuild,
  +xbox-sources-2.6.8.1-r8.ebuild,
  +files/xbox-sources-2.6.8.1.CAN-2004-1016.patch,
  +files/xbox-sources-2.6.8.1.CAN-2004-1056.patch,
  +files/xbox-sources-2.6.8.1.CAN-2004-1137.patch:
  Security fixes - bugs #74384, #74392, #74464.

*xbox-sources-2.6.8.1-r7 (19 Dec 2004)

  19 Dec 2004; <plasmaroo@gentoo.org> -xbox-sources-2.6.8.1-r6.ebuild,
  +xbox-sources-2.6.8.1-r7.ebuild,
  +files/xbox-sources-2.6.8.1.AF_UNIX.SELinux.patch,
  +files/xbox-sources-2.6.8.1.CAN-2004-1151.patch,
  +files/xbox-sources-2.6.8.1.vma.patch:
  Adding SELinux fixes for the AF_UNIX patch; bug #72317. Also fixing security
  bugs #72452 (Adding VMA Patch) and #73000.

*xbox-sources-2.6.8.1-r6 (30 Nov 2004)

  30 Nov 2004; Chris Bainbridge <chrb@gentoo.org>
  -xbox-sources-2.6.8.1-r5.ebuild, +xbox-sources-2.6.8.1-r6.ebuild:
  fix crashing in 2.6 lirc driver

  28 Nov 2004; <plasmaroo@gentoo.org> xbox-sources-2.6.8.1-r5.ebuild,
  +files/xbox-sources-2.6.8.1.AF_UNIX.patch:
  Adding fixed 2.6 AF_UNIX security patch for 2.6 branch; bug #72688.

*xbox-sources-2.4.28-r1 (27 Nov 2004)

  27 Nov 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.27-r5.ebuild,
  +xbox-sources-2.4.28-r1.ebuild, -xbox-sources-2.4.28.ebuild,
  -xbox-sources-2.6.8.1-r4.ebuild, +xbox-sources-2.6.8.1-r5.ebuild,
  +files/xbox-sources-2.4.28.binfmt_a.out.patch,
  +files/xbox-sources-2.6.8.1.binfmt_a.out.patch,
  +files/xbox-sources.AF_UNIX.patch:
  Version bump for the AF_UNIX and a.out security vulnerabilities; bugs #72452
  and #72317.

*xbox-sources-2.4.28 (24 Nov 2004)

  24 Nov 2004; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.4.28.ebuild:
  Version bump with new patches, thanks to Edgar Hucek

*xbox-sources-2.4.27-r5 (19 Nov 2004)

  19 Nov 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.27-r4.ebuild,
  +xbox-sources-2.4.27-r5.ebuild, -xbox-sources-2.6.8.1-r3.ebuild,
  +xbox-sources-2.6.8.1-r4.ebuild, files/xbox-sources-2.4.27.binfmt_elf.patch,
  +files/xbox-sources-2.4.27.smbfs.patch,
  files/xbox-sources-2.6.8.1.binfmt_elf.patch,
  +files/xbox-sources-2.6.8.1.smbfs.patch:
  Version bump; updates binfmt_elf patch (bug #70681) and adds the smbfs
  security patch (bug #65877).

*xbox-sources-2.4.27-r4 (12 Nov 2004)

  12 Nov 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.27-r3.ebuild,
  +xbox-sources-2.4.27-r4.ebuild, -xbox-sources-2.6.8.1-r2.ebuild,
  +xbox-sources-2.6.8.1-r3.ebuild,
  +files/xbox-sources-2.4.27.binfmt_elf.patch,
  +files/xbox-sources-2.6.8.1.binfmt_elf.patch:
  Version bump for the binfmt_elf security vulnerability, bug #70681.

  09 Nov 2004; Chris Bainbridge <chrb@gentoo.org>
  xbox-sources-2.6.8.1-r2.ebuild:
  add CAN patch to SRC_URI

  07 Nov 2004; Sven Wegener <swegener@gentoo.org> :
  Removed stray digest.

*xbox-sources-2.6.8.1-r2 (06 Nov 2004)

  06 Nov 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.27-r1.ebuild,
  -xbox-sources-2.4.27-r2.ebuild, +xbox-sources-2.4.27-r3.ebuild,
  -xbox-sources-2.6.7-r5.ebuild, -xbox-sources-2.6.8.1-r1.ebuild,
  +xbox-sources-2.6.8.1-r2.ebuild, -xbox-sources-2.6.8.1.ebuild,
  +files/xbox-sources-2.4.27.XDRWrapFix.patch,
  -files/xbox-sources-2.6.7.CAN-2004-0596.patch,
  +files/xbox-sources-2.6.8.1.devPtmx.patch,
  -files/xbox-sources.CAN-2004-0497.patch,
  -files/xbox-sources.IPTables-RDoS.patch,
  -files/xbox-sources.ProcPerms.patch:
  Fix for the 2.4 kNFSd security vulnerability and the 2.6 /dev/ptmx DoS, bug
  #62524. Also fixed CAN-2004-0814 for 2.4 and 2.6, bug #68421. Removing
  old versions.

*xbox-sources-2.6.8.1-r1 (04 Nov 2004)

  04 Nov 2004; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.6.8.1-r1.ebuild:
  add squashfs patch

*xbox-sources-2.6.8.1 (18 Oct 2004)

  18 Oct 2004; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.6.8.1.ebuild:
  version bump to 2.6.8.1

*xbox-sources-2.4.27-r2 (21 Aug 2004)

  21 Aug 2004; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.4.27-r2.ebuild:
  Added squashfs patch from Ed Hucek for livecd

*xbox-sources-2.6.7-r5 (10 Aug 2004)

  10 Aug 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.26-r5.ebuild,
  +xbox-sources-2.4.27-r1.ebuild, -xbox-sources-2.4.27.ebuild,
  -xbox-sources-2.6.7-r4.ebuild, +xbox-sources-2.6.7-r5.ebuild,
  -files/xbox-sources-2.4.26.CAN-2004-0495.patch,
  -files/xbox-sources-2.4.26.CAN-2004-0535.patch,
  -files/xbox-sources-2.4.26.CAN-2004-0685.patch,
  -files/xbox-sources-2.4.26.FPULockup-53804.patch,
  +files/xbox-sources-2.4.27.cmdlineLeak.patch,
  +files/xbox-sources-2.6.7.cmdlineLeak.patch:
  Version bump for the /proc/cmdline leak vulnerability; bug #59905.

*xbox-sources-2.4.27 (09 Aug 2004)

  09 Aug 2004; Chris Bainbridge <chrb@gentoo.org> +xbox-sources-2.4.27.ebuild:
  Version bump submitted by Edgar Hucek

*xbox-sources-2.4.26-r5 (08 Aug 2004)

  08 Aug 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.26-r4.ebuild,
  +xbox-sources-2.4.26-r5.ebuild,
  +files/xbox-sources-2.4.26.CAN-2004-0685.patch:
  Version bump for CAN-2004-0685, bug #59769.

*xbox-sources-2.4.26-r4 (05 Aug 2004)

  05 Aug 2004; <plasmaroo@gentoo.org> -xbox-sources-2.4.26-r3.ebuild,
  +xbox-sources-2.4.26-r4.ebuild, -xbox-sources-2.6.7-r3.ebuild,
  +xbox-sources-2.6.7-r4.ebuild:
  Added a patch for the CAN-2004-0415 vulnerability, bug #59378.

*xbox-sources-2.6.7-r3 (21 Jul 2004)

  21 Jul 2004; <plasmaroo@gentoo.org> xbox-sources-2.4.26-r3.ebuild,
  -xbox-sources-2.6.7-r2.ebuild, +xbox-sources-2.6.7-r3.ebuild,
  +files/xbox-sources-2.4.26.CAN-2004-0394.patch,
  +files/xbox-sources-2.4.26.CAN-2004-0495.patch,
  +files/xbox-sources-2.4.26.CAN-2004-0535.patch,
  +files/xbox-sources-2.4.26.FPULockup-53804.patch,
  +files/xbox-sources-2.6.7.CAN-2004-0596.patch:
  Version bump for the CAN-2004-0596 issue; bug #57826. Added missing security
  fixes for 2.4 which should have been added when this ebuild was initially
  commited. Fixed header QA issue.

  19 Jul 2004; Chris Bainbridge <chrb@gentoo.org>
  xbox-sources-2.6.7-r2.ebuild:
  Added warning about broken FATX driver

*xbox-sources-2.4.26-r3 (19 Jul 2004)

  19 Jul 2004; Chris Bainbridge <chrb@gentoo.org>
  +xbox-sources-2.4.26-r3.ebuild:
  Added 2.4 kernel ebuild submitted by Ed Hucek in bug #45100

*xbox-sources-2.6.7-r2 (09 Jul 2004)

  09 Jul 2004; <plasmaroo@gentoo.org> -xbox-sources-2.6.7-r1.ebuild,
  +xbox-sources-2.6.7-r2.ebuild, +files/xbox-sources.CAN-2004-0497.patch,
  +files/xbox-sources.ProcPerms.patch:
  Version bump for kernel attribute vulnerabilities, bug #56479.

*xbox-sources-2.6.7-r1 (30 Jun 2004)

  04 Jul 2004; <plasmaroo@gentoo.org>:
  Version bump for the 2.6 IPTables RDoS vulnerability; bug #55694. Old
  version removed.

*xbox-sources-2.6.7 (30 Jun 2004)

  30 Jun 2004; Chris Bainbridge <chrb@gentoo.org> +metadata.xml,
  +xbox-sources-2.6.7.ebuild:
  This package was submitted by Chris Bainbridge in bug #45100

